# t38proto.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/mediafmt.h>`
`#include <opal/mediastrm.h>`
`#include <opal/mediasession.h>`
`#include <ep/localep.h>`

Include dependency graph for t38proto.h:

Go to the source code of this file.

## Data Structures

class | OpalFaxEndPoint
class | OpalFaxConnection
class | OpalFaxSession
class | OpalFaxMediaStream

## Defines

#define | OPAL_OPT_STATION_ID "Station-Id"
| String option for fax station ID string.
#define | OPAL_OPT_HEADER_INFO "Header-Info"
| String option for transmitted fax page header.
#define | OPAL_NO_G111_FAX "No-G711-Fax"
| Suppress G.711 fall back.
#define | OPAL_SWITCH_ON_CED "Switch-On-CED"
| Try switch to T.38 on receipt of CED tone.
#define | OPAL_T38_SWITCH_TIME "T38-Switch-Time"
| Seconds for fail safe switch to T.38 mode.
#define | OPAL_FAX_TIFF_FILE "TIFF-File"

## Typedefs

typedef OpalFaxConnection | OpalT38Connection

## Define Documentation

#define OPAL_FAX_TIFF_FILE "TIFF-File"

#define OPAL_NO_G111_FAX "No-G711-Fax"

Suppress G.711 fall back.

#define OPAL_OPT_HEADER_INFO "Header-Info"

String option for transmitted fax page header.

#define OPAL_OPT_STATION_ID "Station-Id"

String option for fax station ID string.

#define OPAL_SWITCH_ON_CED "Switch-On-CED"

Try switch to T.38 on receipt of CED tone.

#define OPAL_T38_SWITCH_TIME "T38-Switch-Time"

Seconds for fail safe switch to T.38 mode.

## Typedef Documentation

typedef OpalFaxConnection OpalT38Connection